#include <math.h>
#include <gsl/gsl_matrix.h>

#include "libjpegrest.h"

void
error_statistic(const gsl_matrix *m, double *mean, double *stddev)
{
	double sum;
	double elements;
	int row, column;
	double* row_element;

	elements = (double) (m->size1 * m->size2);

	sum = 0.;
	for (row = 0; row < m->size1; row++)
	{
		row_element = &m->data[row * m->tda];
		for (column = 0; column < m->size2; column++)
		{
			sum += *row_element;
			row_element++;
		}
	}
	*mean = sum / elements;

	/* Calcule the std_dev */
	sum = 0.;
	for (row = 0; row < m->size1; row++)
	{
		row_element = &m->data[row * m->tda];
		for (column = 0; column < m->size2; column++)
		{
			sum += (*row_element - *mean) * (*row_element - *mean);
			row_element++;
		}
	}
	
	*stddev = sqrt( sum / (elements - 1) );
}
